# Interface IStatusContextViewer

All Known Implementing Classes:
  `TextStatusContextViewer`

public interface IStatusContextViewer
Viewer to present the context object of a refactoring status entry.

Status context viewers are associated with a context object via the extension point `org.eclipse.ltk.ui.refactoring.statusContextViewers`. Implementors of this extension point must therefore implement this interface.

To ensure visual consistency across all provided context viewers the widget hierarchy provided through the method `createControl(Composite)` has to use a `ViewForm` as its root widget.

Clients of this interface should call `createControl` before calling `setInput`.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent)`
Creates the status viewer's widget hierarchy.
`Control`
`getControl()`
Returns the status context viewer's SWT control.
`void`
`setInput(RefactoringStatusContext input)`
Sets the status context viewer's input element.

## Method Details

### createControl

void createControl(Composite parent)
Creates the status viewer's widget hierarchy. This method is only called once. Method `getControl()` should be used to retrieve the widget hierarchy.

Parameters:
  `parent` - the parent for the widget hierarchy
See Also:
  - `getControl()`

### getControl

Control getControl()
Returns the status context viewer's SWT control.

Returns:
  the status context viewer's SWT control or `null` is the widget hierarchy hasn't been created yet

### setInput

void setInput(RefactoringStatusContext input)
Sets the status context viewer's input element.

Parameters:
  `input` - the input element